<?
require'sys/head2.php';
require'sys/conf.php';
require'otsev.php';
?>

<b>Вход в игру</b><br/>
<?

 $login=$_REQUEST['login'];$pass=$_REQUEST['pass'];
$pass=md5($pass);
$w1=mysql_fetch_array(qw("SELECT id FROM users WHERE login='$login' and pass='$pass'"));
if($w1['id']>0){
$lp="$login$pass";
$dat=time();$kuk=md5(md5($lp));$key=$kuk;
qw("UPDATE users SET data='$dat',kuk='$kuk' WHERE login='$login'");
qw("UPDATE gos SET online='$dat' WHERE login='$login'");
echo"<b>Вы успешно авторизованы!<br/></b>На этой странице вы можете сделать закладку<br/>";
echo'<a href="game.php?der='.$key.'">Играть</a><br/>';
}else{
?><FORM ACTION='enter.php' METHOD=GET>
<b>Все поля обязательны для заполнения!<br/>
Неправильный логин или пароль!</b><br/>
Логин:<br/>
<input type="text" name="login"/><br/>
Пароль:<br/>
<input type="password" name="pass"/><br/>
<INPUT TYPE='submit'VALUE='Вход'></FORM><br/>

---<br/>
<a href="repass.php">Забыли пароль?</a><br/>
<a href="reger.php">Регистрация</a><br/>
---<br/>
 <?
}
 ?>
<a href="index.php">Назад</a><br/>
<?
require'sys/foot.php';
?>